<script setup>
defineOptions({
  inheritAttrs: false
})

const props = defineProps({
  as: {
    type: [String, Object],
    default: 'div'
  }
})

const attrs = useAttrs()
</script>

<template>
  <component
      :is="props.as"
      v-bind="attrs"
      :class="[
        'min-h-0 flex-1 overflow-y-auto px-4 py-4 sm:px-6 sm:py-5',
        attrs.class
      ]"
  >
    <slot />
  </component>
</template>
